#include <xvt.h>
#include <strings.h>
#include <checks.h>

#include "ba4.h"

#define usage   "Error - usage : %s -{0|1|2|3|4|5}"

int main(int argc,char** argv)

{
  int             rt = -1 ;
  const int r = (argc > 1) ? atoi(&argv[1][1]) : -1;

  switch (r)
  {
  case 0:
    rt = ba4100(argc,argv) ; break;
  case 1:
    rt = ba4200(argc,argv) ; break;
  case 2:
    rt = ba4300(argc,argv) ; break;
  case 3:
    rt = ba4400(argc,argv) ; break;
  case 4:
    rt = ba4500(argc,argv) ; break;
  case 5:
    rt = ba4600(argc,argv) ; break;
  default:
    error_box(usage, argv[0]) ; break;
  }
  return rt;
}

